Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class ObjEntityViewField

    java.lang.Object
      org.objectstyle.cayenne.dataview.ObjEntityViewField

    public class ObjEntityViewField

extends java.lang.Object

Descriptor for a single view field.

Since:
  1.1
Author:
  Andriy Shapochka

Constructor Summary
`ObjEntityViewField()`

Method Summary
`CalcTypeEnum` | `getCalcType()`
`java.lang.String` | `getCaption()`
`DataTypeEnum` | `getDataType()`
`java.lang.Object` | `getDefaultValue()`
`java.text.Format` | `getDisplayFormat()`
`java.text.Format` | `getEditFormat()`
`java.lang.String` | `getFormattedValue(DataObject obj)`
`int` | `getIndex()`
`java.lang.Class` | `getJavaClass()`
`ObjEntityViewField` | `getLookupField()`
`java.lang.Object[]` | `getLookupValues()`
`java.lang.String` | `getName()`
`ObjAttribute` | `getObjAttribute()`
`ObjRelationship` | `getObjRelationship()`
`ObjEntityView` | `getOwner()`
`int` | `getPreferredIndex()`
`java.lang.Object` | `getRawValue(DataObject obj)`
`DataView` | `getRootOwner()`
`java.lang.Object` | `getValue(DataObject obj)`
`boolean` | `isEditable()`
`boolean` | `isLookup()`
`boolean` | `isSameObjAttribute(ObjEntityViewField field)`
`boolean` | `isVisible()`
`void` | `setCalcType(CalcTypeEnum calcType)`
`void` | `setCaption(java.lang.String caption)`
`void` | `setDataType(DataTypeEnum dataType)`
`void` | `setDefaultValue(java.lang.Object defaultValue)`
`void` | `setDisplayFormat(java.text.Format displayFormat)`
`void` | `setEditable(boolean editable)`
`void` | `setEditFormat(java.text.Format editFormat)`
`void` | `setLookupField(ObjEntityViewField lookupField)`
`void` | `setName(java.lang.String name)`
`void` | `setObjAttribute(ObjAttribute objAttribute)`
`void` | `setObjRelationship(ObjRelationship objRelationship)`
`void` | `setPreferredIndex(int preferredIndex)`
`void` | `setRawValue(DataObject obj, java.lang.Object value)`
`void` | `setValue(DataObject obj, java.lang.Object value)`
`void` | `setVisible(boolean visible)`
`java.lang.Object` | `toRawValue(java.lang.Object value)`
`java.lang.Object` | `toValue(java.lang.Object rawValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjEntityViewField

    public ObjEntityViewField()

Method Detail

### getOwner

    public ObjEntityView getOwner()

### getRootOwner

    public DataView getRootOwner()

### getIndex

    public int getIndex()

### getPreferredIndex

    public int getPreferredIndex()

### setPreferredIndex

    public void setPreferredIndex(int preferredIndex)

### isVisible

    public boolean isVisible()

### setVisible

    public void setVisible(boolean visible)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getObjAttribute

    public ObjAttribute getObjAttribute()

### setObjAttribute

    public void setObjAttribute(ObjAttribute objAttribute)

### isEditable

    public boolean isEditable()

### setEditable

    public void setEditable(boolean editable)

### getCaption

    public java.lang.String getCaption()

### setCaption

    public void setCaption(java.lang.String caption)

### getJavaClass

    public java.lang.Class getJavaClass()

### getValue

    public java.lang.Object getValue(DataObject obj)

### toValue

    public java.lang.Object toValue(java.lang.Object rawValue)

### toRawValue

    public java.lang.Object toRawValue(java.lang.Object value)

### setValue

    public void setValue(DataObject obj,
                         java.lang.Object value)

### getFormattedValue

    public java.lang.String getFormattedValue(DataObject obj)

### getRawValue

    public java.lang.Object getRawValue(DataObject obj)

### setRawValue

    public void setRawValue(DataObject obj,
                            java.lang.Object value)

### getDataType

    public DataTypeEnum getDataType()

### setDataType

    public void setDataType(DataTypeEnum dataType)

### getCalcType

    public CalcTypeEnum getCalcType()

### setCalcType

    public void setCalcType(CalcTypeEnum calcType)

### getDefaultValue

    public java.lang.Object getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.Object defaultValue)

### getObjRelationship

    public ObjRelationship getObjRelationship()

### setObjRelationship

    public void setObjRelationship(ObjRelationship objRelationship)

### isLookup

    public boolean isLookup()

### getLookupValues

    public java.lang.Object[] getLookupValues()

### getLookupField

    public ObjEntityViewField getLookupField()

### setLookupField

    public void setLookupField(ObjEntityViewField lookupField)

### getDisplayFormat

    public java.text.Format getDisplayFormat()

### setDisplayFormat

    public void setDisplayFormat(java.text.Format displayFormat)

### getEditFormat

    public java.text.Format getEditFormat()

### setEditFormat

    public void setEditFormat(java.text.Format editFormat)

### isSameObjAttribute

    public boolean isSameObjAttribute(ObjEntityViewField field)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.